@import 'font.scss';

body {
    font-family: 'Kanit-Light', tahoma;
    font-size: 14px;
    padding:0;
    margin:0;
    color:#fff;
    background-color: #000;
    @media(max-width: 640px) {
        font-size: 12px;
    }
}
* {
    //user-select: none;
}
h1, h2, h3, h4, h5, h6 {
    margin: 0;
}
ul, li {
    margin: 0px;
    padding: 0px;
    //list-style-type: none;
}
.page {
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    z-index: 1000;
    &__loading {
        display: block;
        width: 100%;
        height: 100%;
        text-align: center;
        color: #FFFFFF;
        vertical-align: middle;
        font-size: 30px;
        background-color: rgba(0,0,0,0.6);
        &:before {
            content: "";
            display: inline-block;
            height: 100%;
            width: 0px;
            vertical-align: middle;
        }
    }
    &.close {
        display: none;
    }
}
img{
    max-width: 100%;
    max-height: 100%;
}

.preorder{
    background:url("../static/images/bg.jpg")top center no-repeat #120a07;
    background-size: contain;
    padding: 60% 0 2%;
    width: 1105px;
    // @media(max-width: 1060px) {
    //     padding: 89% 0 2%;
    // }
    // @media(max-width: 640px) {
    //     background:url("../static/images/bg_mb.jpg")top center no-repeat;
    //     background-size: 100%;
    //     padding: 150% 0 0;
    // }
    &__btngroup{
        position: absolute;
        top: 2vw;
        right: 2%;
        width: 100%;
        text-align: right;
        // >a,>div{
        //     width: 5%;
        //     display: inline-block;
        //     margin: 0 .5%;
        //     min-width: 80px;
        //     cursor: pointer;
        //     @media(max-width: 640px) {
        //         min-width: 75px;
        //     }
        // }
        // >div{
        //     cursor: pointer;
        // }
        img{
            display: block;
        }
    }
    &__scroll {
        text-align: center;
        position: absolute;
        top: -8%;
        left: 0;
        right: 0;
        >img{
            animation: mover 1s infinite alternate;
            @media (max-width: 640px) {
                max-width: 10%;
            }
        }
        // @media(max-width: 1060px) {
        //     top: 78vw;
        // }
        // @media(max-width: 640px) {
        //     top: 129vw;
        // }
    }
  
}


.h-login-text{
    position: relative;
    top: 650px;
    text-align: center;
}

.userinfo{
    position: absolute;
    left: 0;
    bottom: 54%;
    font-size: 1.2em;
    color: #65431d;
    width: 100%;
    text-align: center;
    @media(max-width: 768px) {
        bottom: 45%;
    }
    @media(max-width: 640px) {
        font-size: 4vw;
        margin-bottom: 50px;
        bottom: 50%;
    }
}





.container{
    max-width: 900px;
    margin: 0 auto;
    padding: 0 15px;
    position: relative;
}
.text-center{
    text-align: center;
}
.block{
    position: relative;
    margin-bottom: 5%;
    & .content{
        position: absolute;
        left: 0;
        top: 0;
        right: 0;
        padding: 10%;
    }
    & .bottom{
        position: absolute;
        bottom: 8%;
        left:0;
        right: 0;
        text-align: center;
        & .bottom_wrapper{
            display: inline-block;
            max-width: 50%;
            @media (max-width: 640px){
                font-size: 10px;
            }
        }
    }
}
.block1{
    &_items{
        position: relative;
        display: inline-block;
        max-width: 16%;
        & .btn_zoom{
            position: absolute;
            top:0;
            right:0;
            max-width: 40%;
            cursor: pointer;
        }
    }
}
.btn_default{
    display: inline-block;
    background: url('../static/images/btn_default_normal.png') no-repeat 0 0;
    color: #2f1706;
    width: 104px;
    height: 20px;
    text-align: center;
    font-family: 'Kanit-Light', tahoma;
    cursor: pointer;
    line-height: 1;
    padding: 10px;
    background-size: 100% 100%;
    &.text-small{
        font-size: 0.9rem;
    }
    &:hover{
        background: url('../static/images/btn_default_hover.png') no-repeat 0 0;
        background-size: 100% 100%;
    }
    &.disabled{
        background: url('../static/images/btn_default_disable.png') no-repeat 0 0;
        background-size: 100% 100%;
        cursor: default;
    }
    @media (max-width: 640px) {
        width: 74px;
        height: 10px;
        font-size: 10px;
        padding: 7px;
    }
}
.list_role{
    @media (max-width: 640px) {
        font-size: 10px;  
    }
}

.username, .logout{
    pointer-events: auto;
    display: inline-block;
    padding: 0px 25px;
    margin-left: 17px;
    /* width: fit-content; */
    /* max-width: 170px; */
    text-align: center;
    height: 45px;
    line-height: 45px;
    background-color: rgba(0,0,0,0.7);
    border-radius: 15px;
    color: #FFFFFF;
    font-size: 14px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    /* transition: width 0.3s ease-in-out; */
    @media (max-width: 640px) {
        height: 30px;
        line-height: 30px;
        padding: 0px 20px;
        font-size: 11px;
    }
}
